Subject: Re: [PATCH v4 01/22] fsck.h: update FSCK_OPTIONS_* for object_name

From: Ævar Arnfjörð Bjarmason <[email-masked]>
Date: Sat, 20 Mar 2021 10:16:57 +0100

On Fri, Mar 19 2021, Johannes Schindelin wrote:

> Hi Ævar,
>
> just a general note: this patch, which is the first of v4, is marked as
> replying to the cover letter of v3. That feels quite odd. If you use
> threading, why not let it reply to the cover letter of the same patch
> series iteration?
>
> In other words, would you mind using the `--thread=shallow` option in the
> future, for better structuring on the mailing list?

Not at all, I've set it in my config now.

I've just been using the default configuration of format-patch
--in-reply-to --cover-letter && send-email *.patch all this time.

Looking around at other patch submissions (aside from GGG) this seems to
be the norm though, but isn't documented in SubmittingPatches
etc. AFAICT.

So I wonder if I'm using some different process from the norm, or if
most everyone else is just looking carefully at Message-ID/In-Reply-To
norms before sending...

> On Tue, 16 Mar 2021, Ævar Arnfjörð Bjarmason wrote:
>
>> Add the object_name member to the initialization macro. This was
>> omitted in 7b35efd734e (fsck_walk(): optionally name objects on the
>> go, 2016-07-17) when the field was added.
>>
>> Signed-off-by: Ævar Arnfjörð Bjarmason <[email-masked]>
>> ---
>>  fsck.h | 4 ++--
>>  1 file changed, 2 insertions(+), 2 deletions(-)
>>
>> diff --git a/fsck.h b/fsck.h
>> index 733378f126..2274843ba0 100644
>> --- a/fsck.h
>> +++ b/fsck.h
>> @@ -43,8 +43,8 @@ struct fsck_options {
>>  	kh_oid_map_t *object_names;
>>  };
>>
>> -#define FSCK_OPTIONS_DEFAULT { NULL, fsck_error_function, 0, NULL, OIDSET_INIT }
>> -#define FSCK_OPTIONS_STRICT { NULL, fsck_error_function, 1, NULL, OIDSET_INIT }
>> +#define FSCK_OPTIONS_DEFAULT { NULL, fsck_error_function, 0, NULL, OIDSET_INIT, NULL }
>> +#define FSCK_OPTIONS_STRICT { NULL, fsck_error_function, 1, NULL, OIDSET_INIT, NULL }
>>
>>  /* descend in all linked child objects
>>   * the return value is:
>> --
>> 2.31.0.260.g719c683c1d
>>
>>